-- Thanks to Azukki for helping me with getting the exit point to stay a fixed distance from the ground.

function Create(self)

	self.Scale = 0
	self.Frame = 1
	
	self.WarnSound = CreateAEmitter("Rucker Device Warn Dummy")
	self.WarnSound.Pos = self.Pos
	self.WarnSound.PinStrength = 1000
	MovableMan:AddParticle(self.WarnSound)
	
	self.SpawnDelay = Timer()
	
	self.Spawned = false
	
	self.Emitted = false
	
	self.Altitude = SceneMan:FindAltitude(self.Pos,0,3)
	
	self.Pos.Y = self.Pos.Y + (self.Altitude - 32)
	self.PinStrength = 1000
	
end

function Update(self)

	self.Frame = 1

	if self.SpawnDelay:IsPastSimMS(2150) and self.Spawned == false then
		self.SpawnSound = CreateAEmitter("Rucker Device Spawn Dummy")
		self.SpawnSound.Pos = self.Pos
		self.SpawnSound.PinStrength = 1000
		MovableMan:AddParticle(self.SpawnSound);
		self.Spawned = true
	end
	
	if self.SpawnDelay:IsPastSimMS(2700) and self.Emitted == false then
		self.SpawnEmitter = CreateAEmitter("Rucker Device Field Emitter")
		self.SpawnEmitter.Pos = self.Pos
		self.SpawnEmitter.PinStrength = 10000
		MovableMan:AddParticle(self.SpawnEmitter);
		self.SpawnField = CreateAEmitter("Rucker Device Field Main")
		self.SpawnField.Pos = self.Pos
		self.SpawnField.PinStrength = 10000
		MovableMan:AddParticle(self.SpawnField);
		for Act in MovableMan.Actors do
			if Act.Team ~= self.Team then
				local Trace = SceneMan:ShortestDistance(self.Pos, Act.Pos, false)
				if Trace.Magnitude - Act.Radius < 250 then
					Act.Health = Act.Health - (5 + ((self.Mass / 20) * math.floor(math.random()*4)))
				end
				if Trace.Magnitude - Act.Radius < 80 then
					Act.Health = Act.Health - ((Act.Mass / 20) * math.floor(math.random()*2))
				end
			end
		end
		self.Emitted = true
	end	
	
	if self.SpawnDelay:IsPastSimMS(2800) then
		self.ReturnInvestment = CreateACRocket("Rucker Device Refund")
		self.ReturnInvestment.Pos = self.Pos
		self.ReturnInvestment.Team = self.Team
		MovableMan:AddActor(self.ReturnInvestment);
		self:GibThis()
	end
	
end