-- Unique Faction ID
local factionid = "IMWD";
print ("Loading "..factionid)

CF_Factions[#CF_Factions + 1] = factionid
	
-- Faction name
CF_FactionNames[factionid] = "IMWD";
-- Faction description
CF_FactionDescriptions[factionid] = "Unknown in origin or motives, IMWD is a ruthlessly effective military organization that fields regular humans in place of remotely-operated clones. Its powerful conventional technology and unparallelled strategic mobility give it the edge it needs to support its relatively fragile and expensive footsoldiers.";
-- Set true if faction is selectable by player or AI
CF_FactionPlayable[factionid] = true;

-- Modules needed for this faction
CF_RequiredModules[factionid] = {"Base.rte", "imwd.rte", "Coalition.rte"}

-- Set faction nature
-- Available values ORGANIC, SYNTHETIC
CF_FactionNatures[factionid] = CF_FactionTypes.ORGANIC;


-- Define faction bonuses, in percents
-- Scan price reduction
CF_ScanBonuses[factionid] = 25
-- Relation points increase
CF_RelationsBonuses[factionid] = -25
-- Hew HQ build price reduction
CF_ExpansionBonuses[factionid] = -25

-- Gold per turn increase
CF_MineBonuses[factionid] = -25
-- Science per turn increase
CF_LabBonuses[factionid] = 25
-- Delivery time reduction
CF_AirfieldBonuses[factionid] = 25
-- Superweapon targeting reduction
CF_SuperWeaponBonuses[factionid] = 0
-- Unit price reduction
CF_FactoryBonuses[factionid] = -25
-- Body price reduction
CF_CloneBonuses[factionid] = -25
-- HP regeneration increase
CF_HospitalBonuses[factionid] = 25
-- Hack time decrease
CF_HackTimeBonuses[factionid] = 25
-- Hack reward increase
CF_HackRewardBonuses[factionid] = 0

-- Percentage of troops sent to brainhunt or attack player LZ when AI is defending (default - CF_DefaultBrainHuntRatio)
-- If this value is less then default then faction is marked as Defensive if it's more, then as Offensive
CF_BrainHuntRatios[factionid] = 40
	
-- Prefered brain inventory items. Brain gets the best available items of the classes specified in list for free.
-- Default - {CF_WeaponTypes.DIGGER, CF_WeaponTypes.RIFLE}
CF_PreferedBrainInventory[factionid] = {CF_WeaponTypes.HEAVY, CF_WeaponTypes.RIFLE}

-- Define brain unit
CF_Brains[factionid] = "Field Operative";
CF_BrainModules[factionid] = "imwd.rte";
CF_BrainClasses[factionid] = "AHuman";
CF_BrainPrices[factionid] = 800;

-- Define dropship	
CF_Crafts[factionid] = "Rucker Device Activation";
CF_CraftModules[factionid] = "imwd.rte";
CF_CraftClasses[factionid] = "ACRocket";
CF_CraftPrices[factionid] = 350;

-- Define superweapon script
CF_SuperWeaponScripts[factionid] = "UnmappedLands2.rte/SuperWeapons/Bombing.lua"


-- Define default tactical AI model
-- Coalition operates using squads
CF_FactionAIModels[factionid] = "SQUAD"

-- Define research queue. This queue controls how AI will research available tech
-- Weapon, item and actor ID's:
-- PS - pistol
-- RF - rifle
-- SH - shotgun
-- SN - sniper
-- HV - heavy
-- SD - shield
-- DG - digger
-- GR - grenade
-- LA - light actor
-- HA - heavy actor
-- AA - armoured actor
-- TA - turret actor
-- Syntax is simple, for example:
-- PS1-RF2+ = try to research any pistol with power level 1 if it's not available then try to research 
-- any rifle with power level 2 or higher. When ai finishes queue it starts from the begining. You can
-- leave queue unspecified in this case UL2 will use it's default queue.
CF_ResearchQueues[factionid] = "PS1+SH1+GR1+SH2+SD1+HA1+DG1+SN1+HV1+RF1+AA1+TA1+LA1+";

-- Define buyable actors available for purchase or unlocks
CF_ActNames[factionid] = {}
CF_ActPresets[factionid] = {}
CF_ActModules[factionid] = {}
CF_ActPrices[factionid] = {}
CF_ActDescriptions[factionid] = {}
CF_ActUnlockData[factionid] = {}
CF_ActClasses[factionid] = {}
CF_ActTypes[factionid] = {} -- AI will select different weapons based on this value
CF_ActPowers[factionid] = {} -- AI will select weapons based on this value 1 - weakest, 10 toughest, 0 never use
CF_ActOffsets[factionid] = {}

-- Available actor types
-- LIGHT, HEAVY, ARMOR, TURRET

local i = 0
i = #CF_ActNames[factionid] + 1
CF_ActNames[factionid][i] = "Lightfoot"
CF_ActPresets[factionid][i] = "Lightfoot"
CF_ActModules[factionid][i] = "imwd.rte"
CF_ActPrices[factionid][i] = 150
CF_ActDescriptions[factionid][i] = "The special forces of IMWD. Quick, lightly armored, and outfitted with a more powerful medical kit than riflemen, lightfoots are the soldiers for skirmishes. Be wary, however; their lighter armor makes them more vulnerable to losing limbs, and as normal humans, they will die on losing just one arm or leg."
CF_ActUnlockData[factionid][i] = 0 -- 0 means available at start
CF_ActTypes[factionid][i] = CF_ActorTypes.LIGHT;
CF_ActPowers[factionid][i] = 5

i = #CF_ActNames[factionid] + 1
CF_ActNames[factionid][i] = "Rifleman"
CF_ActPresets[factionid][i] = "Rifleman"
CF_ActModules[factionid][i] = "imwd.rte"
CF_ActPrices[factionid][i] = 200
CF_ActDescriptions[factionid][i] = "Durable, mobile, and outfitted with a medkit to back up what their armor can't, riflemen are the soldiers for assaults and breaching parties. Like lightfoots, riflemen are still normal humans, so while their lightweight and sturdy armor may keep them safe in most situations, losing a single limb is a guaranteed death."
CF_ActUnlockData[factionid][i] = 1000
CF_ActTypes[factionid][i] = CF_ActorTypes.HEAVY;
CF_ActPowers[factionid][i] = 8

i = #CF_ActNames[factionid] + 1
CF_ActNames[factionid][i] = "AU140D Combat Drone"
CF_ActPresets[factionid][i] = "AU140D Combat Drone"
CF_ActModules[factionid][i] = "imwd.rte"
CF_ActPrices[factionid][i] = 600
CF_ActDescriptions[factionid][i] = "Pricey and clumsy, but nearly impossible to destroy outside of outright suicidal circumstances. Its large size, built-in railgun and pulse emitter, scavenging systems, and extreme durability make it the ideal shield for supporting infantry in assaults."
CF_ActUnlockData[factionid][i] = 1600
CF_ActTypes[factionid][i] = CF_ActorTypes.ARMOR;
CF_ActPowers[factionid][i] = 7



i = #CF_ActNames[factionid] + 1
CF_ActNames[factionid][i] = "Gatling Drone"
CF_ActPresets[factionid][i] = "Gatling Drone"
CF_ActModules[factionid][i] = "Base.rte"
CF_ActPrices[factionid][i] = 225
CF_ActDescriptions[factionid][i] = "Tradstar's Gatling Drone sports a machine gun plus a pair of fully automated surface to air missiles for bringing down any unwanted visitors above your landing zone."
CF_ActUnlockData[factionid][i] = 750
CF_ActClasses[factionid][i] = "ACrab"
CF_ActTypes[factionid][i] = CF_ActorTypes.ARMOR;
CF_ActPowers[factionid][i] = 3
CF_ActOffsets[factionid][i] = Vector(0,12)

i = #CF_ActNames[factionid] + 1
CF_ActNames[factionid][i] = "Medic Drone"
CF_ActPresets[factionid][i] = "Medic Drone"
CF_ActModules[factionid][i] = "Coalition.rte"
CF_ActPrices[factionid][i] = 110
CF_ActDescriptions[factionid][i] = "Send this into the battlefield and place it near a unit to create a forcefield around it that heals nearby actors."
CF_ActUnlockData[factionid][i] = 500
CF_ActClasses[factionid][i] = "ACrab"
CF_ActTypes[factionid][i] = CF_ActorTypes.ARMOR;
CF_ActPowers[factionid][i] = 0
CF_ActOffsets[factionid][i] = Vector(0,12)


-- Define buyable items available for purchase or unlocks
CF_ItmNames[factionid] = {}
CF_ItmPresets[factionid] = {}
CF_ItmModules[factionid] = {}
CF_ItmPrices[factionid] = {}
CF_ItmDescriptions[factionid] = {}
CF_ItmUnlockData[factionid] = {}
CF_ItmClasses[factionid] = {}
CF_ItmTypes[factionid] = {}
CF_ItmPowers[factionid] = {} -- AI will select weapons based on this value 1 - weakest, 10 toughest, 0 never use

-- Available weapon types
-- PISTOL, RIFLE, SHOTGUN, SNIPER, HEAVY, SHIELD, DIGGER, GRENADE

local i = 0
i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Light Digger"
CF_ItmPresets[factionid][i] = "Light Digger"
CF_ItmModules[factionid][i] = "Base.rte"
CF_ItmPrices[factionid][i] = 10
CF_ItmDescriptions[factionid][i] = "Lightest in the digger family. Cheapest of them all and works as a nice melee weapon on soft targets."
CF_ItmUnlockData[factionid][i] = 0 -- 0 means available at start
CF_ItmTypes[factionid][i] = CF_WeaponTypes.DIGGER;
CF_ItmPowers[factionid][i] = 1

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Medium Digger"
CF_ItmPresets[factionid][i] = "Medium Digger"
CF_ItmModules[factionid][i] = "Base.rte"
CF_ItmPrices[factionid][i] = 40
CF_ItmDescriptions[factionid][i] = "Stronger digger. This one can pierce rocks with some effort and dig impressive tunnels and its melee weapon capabilities are much greater."
CF_ItmUnlockData[factionid][i] = 500
CF_ItmTypes[factionid][i] = CF_WeaponTypes.DIGGER;
CF_ItmPowers[factionid][i] = 4

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Heavy Digger"
CF_ItmPresets[factionid][i] = "Heavy Digger"
CF_ItmModules[factionid][i] = "Base.rte"
CF_ItmPrices[factionid][i] = 100
CF_ItmDescriptions[factionid][i] = "Heaviest and the most powerful of them all. Eats concrete with great hunger and allows you to make complex mining caves incredibly fast. Shreds anyone unfortunate who stand in its way."
CF_ItmUnlockData[factionid][i] = 1000
CF_ItmTypes[factionid][i] = CF_WeaponTypes.DIGGER;
CF_ItmPowers[factionid][i] = 8

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "RD325U Cutting Laser"
CF_ItmPresets[factionid][i] = "RD325U Cutting Laser"
CF_ItmModules[factionid][i] = "imwd.rte"
CF_ItmPrices[factionid][i] = 150
CF_ItmDescriptions[factionid][i] = "The tool for the job in breaching dense bunkers. Able to cut through concrete and steel with ease and vaporize infantry weapons and armor in seconds, all that holds this digger back is its precision, making complex tunnels time-consuming to carve out."
CF_ItmUnlockData[factionid][i] = 1350
CF_ItmTypes[factionid][i] = CF_WeaponTypes.DIGGER;
CF_ItmPowers[factionid][i] = 9

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Riot Shield"
CF_ItmPresets[factionid][i] = "Riot Shield"
CF_ItmModules[factionid][i] = "Base.rte"
CF_ItmPrices[factionid][i] = 20
CF_ItmDescriptions[factionid][i] = "This metal shield provides excellent additional frontal protection to the user and it can stop numerous hits before breaking up."
CF_ItmUnlockData[factionid][i] = 500
CF_ItmClasses[factionid][i] = "HeldDevice"
CF_ItmTypes[factionid][i] = CF_WeaponTypes.SHIELD;
CF_ItmPowers[factionid][i] = 1

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Light Scanner"
CF_ItmPresets[factionid][i] = "Light Scanner"
CF_ItmModules[factionid][i] = "Base.rte"
CF_ItmPrices[factionid][i] = 10
CF_ItmDescriptions[factionid][i] = "Lightest in the scanner family. Cheapest of them all and can only scan a small area."
CF_ItmUnlockData[factionid][i] = 150
CF_ItmTypes[factionid][i] = CF_WeaponTypes.TOOL;
CF_ItmPowers[factionid][i] = 0

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Medium Scanner"
CF_ItmPresets[factionid][i] = "Medium Scanner"
CF_ItmModules[factionid][i] = "Base.rte"
CF_ItmPrices[factionid][i] = 40
CF_ItmDescriptions[factionid][i] = "Medium scanner. This scanner is stronger and can reveal a larger area."
CF_ItmUnlockData[factionid][i] = 250
CF_ItmTypes[factionid][i] = CF_WeaponTypes.TOOL;
CF_ItmPowers[factionid][i] = 0

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Heavy Scanner"
CF_ItmPresets[factionid][i] = "Heavy Scanner"
CF_ItmModules[factionid][i] = "Base.rte"
CF_ItmPrices[factionid][i] = 70
CF_ItmDescriptions[factionid][i] = "Strongest scanner out of the three. Can reveal a large area."
CF_ItmUnlockData[factionid][i] = 450
CF_ItmTypes[factionid][i] = CF_WeaponTypes.TOOL;
CF_ItmPowers[factionid][i] = 0

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "IM25R Pistol"
CF_ItmPresets[factionid][i] = "IM25R Pistol"
CF_ItmModules[factionid][i] = "imwd.rte"
CF_ItmPrices[factionid][i] = 25
CF_ItmDescriptions[factionid][i] = "Robust and powerful for its small frame. An all-around quality sidearm, useful at even medium range."
CF_ItmUnlockData[factionid][i] = 0
CF_ItmTypes[factionid][i] = CF_WeaponTypes.PISTOL;
CF_ItmPowers[factionid][i] = 3

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "IM15L Machine Pistol"
CF_ItmPresets[factionid][i] = "IM15L Machine Pistol"
CF_ItmModules[factionid][i] = "imwd.rte"
CF_ItmPrices[factionid][i] = 35
CF_ItmDescriptions[factionid][i] = "Quiet, accurate, and automatic make for a powerful back-up and close quarters defense weapon. Add in decent stopping power and an economical price compared to other IMWD equipment and it becomes hard to pass up a lightfoot's favorite sidearm."
CF_ItmUnlockData[factionid][i] = 600
CF_ItmTypes[factionid][i] = CF_WeaponTypes.PISTOL;
CF_ItmPowers[factionid][i] = 4

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "IM30L Submachine Gun"
CF_ItmPresets[factionid][i] = "IM30L Submachine Gun"
CF_ItmModules[factionid][i] = "imwd.rte"
CF_ItmPrices[factionid][i] = 75
CF_ItmDescriptions[factionid][i] = "Compact, lightweight, and with an unyielding rate of fire, the IM30L is best used in close quarters. Its extraordinarily small size makes it a difficult target and its tendency to cause painful exit wounds keeps it solidly in line with other IMWD weapons."
CF_ItmUnlockData[factionid][i] = 0
CF_ItmTypes[factionid][i] = CF_WeaponTypes.PISTOL;
CF_ItmPowers[factionid][i] = 5

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "IM120L Shotgun"
CF_ItmPresets[factionid][i] = "IM120L Shotgun"
CF_ItmModules[factionid][i] = "imwd.rte"
CF_ItmPrices[factionid][i] = 120
CF_ItmDescriptions[factionid][i] = "A formidable, durable combat shotgun. Its semiautomatic nature is offset by its rapid rate of fire, and its ability to convert between slugs and shot on the fly make it more than just a close quarters weapon."
CF_ItmUnlockData[factionid][i] = 800
CF_ItmTypes[factionid][i] = CF_WeaponTypes.SHOTGUN;
CF_ItmPowers[factionid][i] = 6

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "IM45R Assault Rifle"
CF_ItmPresets[factionid][i] = "IM45R Assault Rifle"
CF_ItmModules[factionid][i] = "imwd.rte"
CF_ItmPrices[factionid][i] = 100
CF_ItmDescriptions[factionid][i] = "The IM45R is a rifleman's dream; an assault rifle with accuracy, power, durability, and a generous magazine. Its cost may offset its offerings, but it is a purchase you are unlikely to regret."
CF_ItmUnlockData[factionid][i] = 800
CF_ItmTypes[factionid][i] = CF_WeaponTypes.RIFLE;
CF_ItmPowers[factionid][i] = 7

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "IM85L Marksman Rifle"
CF_ItmPresets[factionid][i] = "IM85L Marksman Rifle"
CF_ItmModules[factionid][i] = "imwd.rte"
CF_ItmPrices[factionid][i] = 210
CF_ItmDescriptions[factionid][i] = "The weapon of choice for lightfoots. While its short magazine limits its power, this sniper rifle remains solidly powerful and lightweight for its strength. To top it all off, the IM85L is fully automatic, ensuring that the hardest of heads still won't be hard enough."
CF_ItmUnlockData[factionid][i] = 2000
CF_ItmTypes[factionid][i] = CF_WeaponTypes.SNIPER;
CF_ItmPowers[factionid][i] = 7

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "IM85R Machine Gun"
CF_ItmPresets[factionid][i] = "IM85R Machine Gun"
CF_ItmModules[factionid][i] = "imwd.rte"
CF_ItmPrices[factionid][i] = 300
CF_ItmDescriptions[factionid][i] = "The IM85R is the pinnacle of defensive weaponry. While heavy, expensive, and with a cumbersome reload time, any hostile target unfortunate enough to find itself within line of sight will soon find itself cut to ribbons by a hail of accurate, heavy caliber gunfire."
CF_ItmUnlockData[factionid][i] = 3500
CF_ItmTypes[factionid][i] = CF_WeaponTypes.HEAVY;
CF_ItmPowers[factionid][i] = 9

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "IM810R Modular Demolition Weapon"
CF_ItmPresets[factionid][i] = "IM810R Modular Demolition Weapon"
CF_ItmModules[factionid][i] = "imwd.rte"
CF_ItmPrices[factionid][i] = 500
CF_ItmDescriptions[factionid][i] = "Its price tag may appear terrifying, but with three warheads per rack and the ability to convert between missile launcher and portable mortar, it is more likely to be terrifying for your opponent."
CF_ItmUnlockData[factionid][i] = 3500
CF_ItmTypes[factionid][i] = CF_WeaponTypes.HEAVY;
CF_ItmPowers[factionid][i] = 10

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "IM310D Grenade"
CF_ItmPresets[factionid][i] = "IM310D Grenade"
CF_ItmModules[factionid][i] = "imwd.rte"
CF_ItmPrices[factionid][i] = 15
CF_ItmDescriptions[factionid][i] = "Like the IM25R to pistols and IM45R to assault rifles, the IM310D is simply more of the same, but in a better, blacker package. Unlike other standard grenades, IM310Ds leave a small patch of flames on detonation, helping to evict obstinate targets from cover."
CF_ItmUnlockData[factionid][i] = 250
CF_ItmClasses[factionid][i] = "TDExplosive"
CF_ItmTypes[factionid][i] = CF_WeaponTypes.GRENADE;
CF_ItmPowers[factionid][i] = 2

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "IM35L Lobbed Sentry"
CF_ItmPresets[factionid][i] = "IM35L Lobbed Sentry"
CF_ItmModules[factionid][i] = "imwd.rte"
CF_ItmPrices[factionid][i] = 35
CF_ItmDescriptions[factionid][i] = "More sentry gun than grenade, the IM35L is a powerful automated gun deployed from a thrown case. The resulting turret, outfitted with a submachine gun not unlike the IM30L, will only last a short amount of time, but its value in keeping expensive infantry alive in complex bunkers makes it worth the price tag."
CF_ItmUnlockData[factionid][i] = 450
CF_ItmClasses[factionid][i] = "TDExplosive"
CF_ItmTypes[factionid][i] = CF_WeaponTypes.GRENADE;
CF_ItmPowers[factionid][i] = 4